Get feedback profile
GET
{{server}}/api/v1/smart/feedbackProfile/{{feedbackProfile}}It returns the feedback profile data & settings.
Response
-
feedbackProfile(object): Customer Feedback Profile with structure -
languages(array): Language entities of the profile. -
questions(array): Question entities of the profile. -
answers(array): Answer entities of the profile.
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{ticketToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/smart/feedbackProfile/{{feedbackProfile}}' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{ticketToken}}'
const response = await fetch("{{server}}/api/v1/smart/feedbackProfile/{{feedbackProfile}}", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{ticketToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/smart/feedbackProfile/{{feedbackProfile}}"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{ticketToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/smart/feedbackProfile/{{feedbackProfile}}Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 2720 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"feedbackProfile": {
"type": 16,
"key": "00000000-0000-4000-0016-000000000001",
"name": "Default Feedback Profile",
"standByTime": 30,
"goodByeTime": 5,
"appearance": {
"header": {
"visible": true,
"leftText": "Q-net",
"rightText": "Q-net Queue Management System"
},
"footer": {
"visible": true,
"leftText": "Phone number",
"rightText": "Email address"
},
"languages": {
"style": "flag_waving"
},
"customCss": null,
"customJs": null,
"keyboard": {
"type": "numeric"
}
},
"defaultLang": "00000000-0000-4000-0004-000000000001",
"structure": [
{
"language": "00000000-0000-4000-0004-000000000001",
"items": [
{
"question": "00000000-0000-4000-0014-000000000001",
"items": [
{
"answer": "00000000-0000-4000-0015-000000000001"
},
{
"answer": "00000000-0000-4000-0015-000000000002"
},
{
"answer": "00000000-0000-4000-0015-000000000003"
},
{
"answer": "00000000-0000-4000-0015-000000000004"
},
{
"answer": "00000000-0000-4000-0015-000000000005"
}
]
}
]
},
{
"language": "00000000-0000-4000-0004-000000000017",
"items": [
{
"question": "00000000-0000-4000-0014-000000000001",
"items": [
{
"answer": "00000000-0000-4000-0015-000000000001"
},
{
"answer": "00000000-0000-4000-0015-000000000002"
},
{
"answer": "00000000-0000-4000-0015-000000000003"
},
{
"answer": "00000000-0000-4000-0015-000000000004"
},
{
"answer": "00000000-0000-4000-0015-000000000005"
}
]
}
]
}
],
"status": 1,
"aspect": null,
"time": 1745825909737
},
"languages": [
{
"key": "00000000-0000-4000-0004-000000000017",
"code": "hu",
"name": "Magyar",
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {},
"client": {},
"player": {}
}
},
{
"key": "00000000-0000-4000-0004-000000000001",
"code": "en-gb",
"name": "English",
"texts": {
"ticket": {},
"dispenser": {},
"feedback": {},
"smart": {
"welcome": "Welcome in our shop!"
},
"client": {},
"player": {}
}
}
],
"questions": [
{
"key": "00000000-0000-4000-0014-000000000001",
"comment": false,
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "How would you rate our service level?"
},
"00000000-0000-4000-0004-000000000017": {
"name": "Hogyan értékelné szolgáltatásunkat?"
}
}
}
],
"answers": {
"00000000-0000-4000-0015-000000000001": {
"00000000-0000-4000-0004-000000000017": {
"name": "Gyenge"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Poor"
}
},
"00000000-0000-4000-0015-000000000002": {
"00000000-0000-4000-0004-000000000017": {
"name": "Elfogadható"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Acceptable"
}
},
"00000000-0000-4000-0015-000000000003": {
"00000000-0000-4000-0004-000000000017": {
"name": "Átlagos"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Fair"
}
},
"00000000-0000-4000-0015-000000000004": {
"00000000-0000-4000-0004-000000000017": {
"name": "Jó"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Good"
}
},
"00000000-0000-4000-0015-000000000005": {
"00000000-0000-4000-0004-000000000017": {
"name": "Kiváló"
},
"00000000-0000-4000-0004-000000000001": {
"name": "Excellent"
}
}
}
}